Bug 508662 - RFE: qemu: support qemu snapshot=on with <transient/> disk XML
RFE: qemu: support qemu snapshot=on with <transient/> disk XML
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
:
: 832194 (view as bug list)
Depends On:
Blocks: libvirtTodoHV 1040068
  Show dependency treegraph
 
Reported: 2009-06-29 07:47 EDT by Jan ONDREJ
Modified: 2016-05-16 00:24 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2009-06-29 07:47:05 EDT
Description of problem:
Please add ability to set snapshot mode for virtual harddisks. There is an excellent parameter of qemu, which can run virtual machine in mode, where all changes are stored in separate file and original image is not touched.

This parameter can be well used by developers or testers, which need to test any software without reinstallation of his machine. User can install anything and then simply poweroff this virtual machine, after next boot everything will be back in original state.

This can be done in qemu 2 ways:
  1. add -snapshot parameter, which set snapshot mode for all harddisks (not best way)
  2. add ",snapshot=on" for "-drive" parameter. By this way each partition can be set separately.
Comment 1 Jan ONDREJ 2009-06-30 02:39:24 EDT
There are other options, which can be useful too, for example these:

           "snapshot=snapshot"
               snapshot is "on" or "off" and allows to enable snapshot for
               given drive (see -snapshot).

           "cache=cache"
               cache is "none", "writeback", or "writethrough" and controls
               how the host cache is used to access block data.

           "boot=boot"
               boot if "on" enables extboot for a given drive so it can be
               used as a boot drive.
Comment 2 Mark McLoughlin 2009-07-03 10:23:18 EDT
Moving this to libvirt's upstream bug tracker - it's a common request, but there are no immediate plans to implement it

(Not, cache= and boot= are already available through libvirt)
Comment 3 Eric Blake 2012-04-18 12:03:50 EDT
The XML is in place as of 0.9.5 (the <transient/> attribute of a <disk> in domain xml), but has not yet been wired up to qemu.
Comment 4 Cole Robinson 2016-03-21 18:59:53 EDT
*** Bug 832194 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.